Bug 1228220 (CVE-2014-9731)

Summary: CVE-2014-9731 Kernel: fs: udf: information leakage when reading symlink
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aquini, arm-mgr, bhu, blc, dhoward, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20141218,reported=20141217,source=researcher,cvss2=1.9/AV:L/AC:M/Au:N/C:P/I:N/A:N,cwe=CWE-200,rhel-5/kernel=wontfix,rhel-6/kernel=wontfix,rhel-7/kernel=wontfix,rhel-7/kernel-rt=wontfix,mrg-2/realtime-kernel=wontfix,rhelsa-7/kernel-biscayne=notaffected,fedora-all/kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A path length checking flaw was found in Linux kernels built with UDF file system (CONFIG_UDF_FS) support. An attacker able to mount a corrupted/malicious UDF file system image could use this flaw to leak kernel memory to user-space.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:41:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1211911    

Description Prasad J Pandit 2015-06-04 12:29:05 UTC
Linux kernel built with the UDF file system(CONFIG_UDF_FS) support is
vulnerable to an information leakage issue. It could occur while reading
symlink information from corrupted/malicious udf file system image.

An unprivileged user could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
   -> https://git.kernel.org/linus/0e5cc9a40ada6046e6bc3bdfcd0c0d7e4b706b14

Reference:
----------
   -> http://www.openwall.com/lists/oss-security/2015/06/03/15

Comment 1 Prasad J Pandit 2015-06-04 16:48:35 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 2 Prasad J Pandit 2015-06-04 16:49:20 UTC
This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Prasad J Pandit 2015-06-05 05:19:08 UTC
Acknowledgement:

Red Hat would like to thank Carl H Lunde for reporting this issue.

Comment 5 Wade Mealing 2015-07-16 01:18:26 UTC
Mitigation:

The UDF filesystem is enabled via loading the UDF kernel module.  The kernel module can be prevented from loading via blacklisting see https://access.redhat.com/solutions/41278 for more information.